<?php

/* 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

Title : 		processList.php
Author : 		Ryan Campbell : Particletree
URL : 		http://particletree.com

Description : 	Acts as a switchboard - handles all request based on the query string. 
			Ability to add, remove, or mark item as completed
Dependencies:	cTodo.php

Created : 		09/06/05
Modified : 		09/06/05

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
*/
if(isset($_REQUEST["ajax"])) session_start();
require_once('classes/cTodo.php');

$cList = new cTodo("", "", "", "", session_id());

// Process querystring
if(isset($_REQUEST["action"])) {
	switch ($_REQUEST["action"]) {
	
		case "add":
		  $vals = array($_POST["itemDesc"], "0", session_id());
		  $ret = $cList->addItemToList($vals);
		  if(isset($_REQUEST["ajax"])) echo $cList->displayList('0');
		  else Header("location: ../xslTodo");
		  break;  
		  
		case "delete":
		  $cList->removeItemFromList($_REQUEST["id"]);
		  if(isset($_REQUEST["ajax"])) echo "true";
		  else Header("location: ../xslTodo");
		  break;
		  
		case "complete":
		  $cList->completeItem($_REQUEST["id"]);
		  if(isset($_REQUEST["ajax"])) echo "true";
		  else Header("location: ../xslTodo");
		  break;
		  
		case "notcomplete":
			echo $cList->displayList('0');
			break;
		
		case "arecomplete":
			echo $cList->displayList('1');
			break;
	}
}

?>
