<?php
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');
session_start();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>
Particletree Degradable XSLT Ajax Demo
</title>

<!-- Meta Tags -->
<meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8" />
<meta name="robots" content="index, follow" />

<!-- CSS -->
<link rel="stylesheet" href="css/todo.css" type="text/css" />

<!-- JavaScript -->
<script src="scripts/prototype.js" type="text/javascript"></script>
<script src="scripts/global.js" type="text/javascript"></script>
<script src="scripts/todo.js" type="text/javascript"></script>

</head>

<body>

<div id="header"></div>

<div id="todolist">
<h2>Degradable Ajax Demo</h2>

<p class="fog">This is a demonstration of Particletreee's method for degradable ajax in 
action. After playing with it for awhile, try turning Javascript off in your 
browser. Everything should still work. Nice, eh?</p>

<form class="funcaddToList" method="post" action="processList.php?action=add">
<h3>Particletree Todo List</h3>

<div id="additem">
<p>
<label for="itemDesc">Add an Item</label>
<input type="text" name="itemDesc" id="itemDesc" value=""/>
</p>
</div>

<fieldset>

<h3>Items I Have Not Finished</h3>

<ul id="notdone">
<?php
	include_once 'http://localhost/xslTodo/processList.php?action=notcomplete';
?>
</ul>
<hr />

<h3>Items I Have Finished</h3>
<ul id="done">
<?php
	include_once 'http://localhost/xslTodo/processList.php?action=arecomplete';
?>
</ul>
</fieldset>
</form>

<br />

<p>Return to <a href="/features/the-hows-and-whys-of-degradable-ajax" title="The Hows and Whys of Degradable Ajax.">The Hows and Whys of Degradable Ajax.</a></p>

</div>

</body>
</html>
